package com.ruoyi.auth.form;

import java.io.Serializable;
import java.lang.Integer;
import java.lang.String;

public class AccessTokenVo implements Serializable {
  private String access_token;

  private String refresh_token;

  private String scope;

  private Account_info account_info;

  private String token_type;

  private Integer expires_in;

  public String getAccess_token() {
    return this.access_token;
  }

  public void setAccess_token(String access_token) {
    this.access_token = access_token;
  }

  public String getRefresh_token() {
    return this.refresh_token;
  }

  public void setRefresh_token(String refresh_token) {
    this.refresh_token = refresh_token;
  }

  public String getScope() {
    return this.scope;
  }

  public void setScope(String scope) {
    this.scope = scope;
  }

  public Account_info getAccount_info() {
    return this.account_info;
  }

  public void setAccount_info(Account_info account_info) {
    this.account_info = account_info;
  }

  public String getToken_type() {
    return this.token_type;
  }

  public void setToken_type(String token_type) {
    this.token_type = token_type;
  }

  public Integer getExpires_in() {
    return this.expires_in;
  }

  public void setExpires_in(Integer expires_in) {
    this.expires_in = expires_in;
  }

  public static class Account_info implements Serializable {
    private String clientId;

    private String mobile;

    private Integer id;

    private String email;

    private String username;

    public String getClientId() {
      return this.clientId;
    }

    public void setClientId(String clientId) {
      this.clientId = clientId;
    }

    public String getMobile() {
      return this.mobile;
    }

    public void setMobile(String mobile) {
      this.mobile = mobile;
    }

    public Integer getId() {
      return this.id;
    }

    public void setId(Integer id) {
      this.id = id;
    }

    public String getEmail() {
      return this.email;
    }

    public void setEmail(String email) {
      this.email = email;
    }

    public String getUsername() {
      return this.username;
    }

    public void setUsername(String username) {
      this.username = username;
    }
  }
}
